import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { IonicDataLogger, SyncableDatalogPacket } from '@iotize/ionic';
export declare class TapDatalogTableComponent implements OnInit {
    protected changeRefDetector: ChangeDetectorRef;
    _packets?: IonicDataLogger.PacketInfo[];
    constructor(changeRefDetector: ChangeDetectorRef);
    set dataLogger(dataLogger: IonicDataLogger | undefined);
    set packets(packets: IonicDataLogger.PacketInfo[] | undefined);
    onRetrySync: EventEmitter<SyncableDatalogPacket>;
    get packets(): IonicDataLogger.PacketInfo[] | undefined;
    ngOnInit(): void;
    dataColumns: {
        key: string;
        title: string;
    }[];
    date: boolean;
    sync: boolean;
    syncEvent: EventEmitter<SyncableDatalogPacket>;
    packetVariableValue(packet: IonicDataLogger.PacketInfo, key: string): string;
    packetId(packet: IonicDataLogger.PacketInfo): number;
    packetDate(packet: IonicDataLogger.PacketInfo): Date;
    isPacketSync(packetInfo: SyncableDatalogPacket): boolean | undefined;
    syncPacket(packetInfo: SyncableDatalogPacket): void;
    private initColumnsFromPacket;
}
